सामग्री पर जाएँ

Kling Video Create Voice

इंटीग्रेट करें

मॉडल id kling-video/create-voice
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/create-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.007 7 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

5-30 s के ऑडियो या वीडियो नमूने से कस्टम वॉइस पंजीकृत करता है और वॉइस ID लौटाता है

Kling · डेटा (JSON)

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
फ़ाइल ड्रॉप करें, या

.mp3 या .wav ऑडियो, अथवा .mp4 या .mov वीडियो फ़ॉर्मैट में वॉइस रिकॉर्डिंग की ओर संकेत करने वाला URL। रिकॉर्डिंग 5–30 सेकंड लंबी होनी चाहिए और इसमें एकल आवाज़ वाला साफ़ ऑडियो होना चाहिए।

उन्नत enable_safety_checker
POST /run/kling-video/create-voice?wait=20 कोटेशन → $0.007
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/create-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kling Video Create Voice के बारे में

Kling मॉडल के वॉइस नियंत्रण के लिए पुन: उपयोग योग्य वॉइस बनाता है। `voice_url` में .mp3/.wav ऑडियो या .mp4/.mov वीडियो का URL दें, जिसकी अवधि 5-30 सेकंड हो और जिसमें स्पष्ट एकल-वॉइस भाषण हो। परिणाम एक `voice_id` स्ट्रिंग है, जो नई वॉइस की पहचान करती है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच केवल अकाउंट प्राधिकरण के साथ अक्षम की जा सकती है; प्राधिकरण के बिना किए गए अनुरोधों की हमेशा जाँच होती है।
voice_urlआवश्यक
प्रकारurl · audio
.mp3 या .wav ऑडियो, अथवा .mp4 या .mov वीडियो फ़ॉर्मैट में वॉइस रिकॉर्डिंग की ओर संकेत करने वाला URL। रिकॉर्डिंग 5–30 सेकंड लंबी होनी चाहिए और इसमें एकल आवाज़ वाला साफ़ ऑडियो होना चाहिए।
आवश्यक

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/create-voice",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 7,
    "usd": "0.007",
    "charged": 7,
    "refunded": 0
  },
  "input": {
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "voice_id": "829877809978941442"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
voice_id
stringनई बनाई गई आवाज़ को असाइन की गई विशिष्ट ID।

और मॉडल: ऑडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kling-video/create-voice.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt